package hwr.recognizer;

import java.util.TreeMap;
import java.util.ArrayList;

public class Recognizer {

    private static RecognizerModule myModule;

    public static void setModule(RecognizerModule module) {
        myModule = module;
    }

    public static void learn(TreeMap<Character, ArrayList<ArrayList<Double>>> learnMap) {
        myModule.learn(learnMap);
    }

    public static Character recognize(ArrayList<Double> featArrayList) {
        return myModule.recognize(featArrayList);
    }
}
