package hwr.featurizer;

import hwr.BitmapCharacter;

public class DimensionRate implements FeaturizerModule {

    private double weight;

    public DimensionRate(double weight) {
        this.weight = weight;
    }

    public double featurize(BitmapCharacter bmChar) {
        return ((double) bmChar.getHeight() / (double) bmChar.getWidth()) * weight;
    }
}
