package hwr.normalizer;

import hwr.BitmapCharacter;
import java.util.TreeMap;
import java.util.ArrayList;

public class Normalizer {

    private static ArrayList<NormalizerModule> modules = new ArrayList<NormalizerModule>();

    public static void addModule(NormalizerModule module) {
        modules.add(module);
    }

    public static void normalize(TreeMap<Character, ArrayList<BitmapCharacter>> charMap) {
        for (NormalizerModule module : modules) {
            System.out.println("Normalizing with: " + module.getClass().getName());
            for (Character key : charMap.keySet()) {
                for (BitmapCharacter bmChar : charMap.get(key)) {
                    module.normalize(bmChar);
                }
            }
        }
    }//    public static void normalize(BitmapCharacter bmChar) {
//        for (NormalizerModule module : modules) {
//            bmChar = module.normalize(bmChar);
//        }
//    }
}
